(window.webpackJsonp=window.webpackJsonp||[]).push([[67],{358:function(e,r,t){"use strict";t.r(r);var s=t(14),a=Object(s.a)({},(function(){var e=this,r=e._self._c;return r("ContentSlotsDistributor",{attrs:{"slot-key":e.$parent.slotKey}},[r("h1",{attrs:{id:"integration-of-serviceworker"}},[r("a",{staticClass:"header-anchor",attrs:{href:"#integration-of-serviceworker"}},[e._v("#")]),e._v(" Integration of ServiceWorker")]),e._v(" "),r("h2",{attrs:{id:"purpose"}},[r("a",{staticClass:"header-anchor",attrs:{href:"#purpose"}},[e._v("#")]),e._v(" Purpose")]),e._v(" "),r("p",[e._v("This section aims to provide developers a comprehensive guide for integrating and consolidating the built-in ServiceWorker functionality in the SDK at the application layer. It addresses the ServiceWorker conflict issues and common problems.")]),e._v(" "),r("p",[e._v("Although the browser allows multiple Service Workers to be registered in the same domain, these Service Workers must have different scopes. In this way, each Service Worker can independently control the resources under different scopes. However, "),r("code",[e._v("MessageWorker.js")]),e._v(" occupies a scope (default is '/'), which will cause the application layer's Service Worker to fail to register successfully in the same scope. Therefore, when the Service Worker at the application layer needs to share the same scope with the SDK's built-in "),r("code",[e._v("MessageWorker.js")]),e._v(", they need to be merged into a single file.")]),e._v(" "),r("p",[e._v("This section will introduce how to merge and customize parameters related to Service Worker configuration.")]),e._v(" "),r("h2",{attrs:{id:"introduction-to-serviceworker"}},[r("a",{staticClass:"header-anchor",attrs:{href:"#introduction-to-serviceworker"}},[e._v("#")]),e._v(" Introduction to ServiceWorker")]),e._v(" "),r("p",[e._v("Service Worker is a script that runs in the background of a browser, which can be used to implement offline capabilities, push notifications, background synchronization, and other features. After the webpage is fully loaded, it operates in the background and can intercept network requests, cache resources, and provide other functions.")]),e._v(" "),r("p",[r("strong",[e._v("Key features of ServiceWorker：")])]),e._v(" "),r("ul",[r("li",[r("strong",[e._v("Offline Capabilities")]),e._v(": ServiceWorker can cache resources, allowing users to access websites even when the network is disconnected.")]),e._v(" "),r("li",[r("strong",[e._v("Push Notifications")]),e._v(": ServiceWorker can receive push notifications from the server and display messages to the user.")]),e._v(" "),r("li",[r("strong",[e._v("Background Synchronization")]),e._v(": ServiceWorker can perform tasks in the background, such as uploading data or updating data.")]),e._v(" "),r("li",[r("strong",[e._v("Network Interception")]),e._v(": ServiceWorker can intercept network requests and process them as needed, such as caching data or modifying request headers.")])]),e._v(" "),r("h2",{attrs:{id:"overview-of-messageworker-js"}},[r("a",{staticClass:"header-anchor",attrs:{href:"#overview-of-messageworker-js"}},[e._v("#")]),e._v(" Overview of MessageWorker.js")]),e._v(" "),r("p",[r("code",[e._v("MessageWorker.js")]),e._v(" is a Service Worker script provided by the SDK to implement synchronous communication in the Web Worker layer. Since "),r("code",[e._v("MessageWorker.js")]),e._v(" occupies an independent scope, when the application layer's Service Worker needs to use the same scope, the two need to be merged into a single file.")]),e._v(" "),r("h2",{attrs:{id:"environment-setup"}},[r("a",{staticClass:"header-anchor",attrs:{href:"#environment-setup"}},[e._v("#")]),e._v(" Environment Setup")]),e._v(" "),r("p",[e._v("Before starting to integrate Service Worker, please ensure your development environment meets the following requirements:")]),e._v(" "),r("ul",[r("li",[r("p",[e._v("Browser supporting Service Worker: Ensure your target browser supports Service Worker, such as Chrome, Firefox, and Edge. For more specific information, you can refer to "),r("a",{attrs:{href:"https://caniuse.com/serviceworkers",target:"_blank",rel:"noopener noreferrer"}},[e._v("Can I use"),r("OutboundLink")],1),e._v(".")])]),e._v(" "),r("li",[r("p",[r("code",[e._v("@foxitsoftware/foxit-pdf-sdk-for-web-library")]),e._v(": The version must be "),r("code",[e._v("10.0.0")]),e._v(" or higher, and the "),r("code",[e._v("lib")]),e._v(" directory should contain the "),r("code",[e._v("MessageWorker.js")]),e._v(" file.")])]),e._v(" "),r("li",[r("p",[e._v("HTTPS support: Your website must be accessed via HTTPS to use Service Worker. However, there are exceptions for the development environment. "),r("code",[e._v("localhost")]),e._v(" and "),r("code",[e._v("127.0.0.1")]),e._v(" can use Service Worker without enabling HTTPS access.")])])]),e._v(" "),r("h2",{attrs:{id:"registration-and-configuration-of-service-worker"}},[r("a",{staticClass:"header-anchor",attrs:{href:"#registration-and-configuration-of-service-worker"}},[e._v("#")]),e._v(" Registration and Configuration of Service Worker")]),e._v(" "),r("p",[e._v("Starting from "),r("code",[e._v("10.0.0")]),e._v(", a new "),r("a",{attrs:{href:"" + location.origin + "/docs/API_Reference/html/"+"/class_p_d_f_viewer.html",target:"_blank",rel:"noopener noreferrer"}},[r("code",[e._v("messageSyncServiceWorker")]),r("OutboundLink")],1),e._v(" parameter has been added to the "),r("code",[e._v("PDFViewer")]),e._v(" constructor arguments, used for specifying the registration method of the Service Worker.")]),e._v(" "),r("p",[e._v("There are two ways to use "),r("code",[e._v("messageSyncServiceWorker")]),e._v(":")]),e._v(" "),r("ol",[r("li",[r("p",[e._v("Method 1: Specify "),r("code",[e._v("url")]),e._v(" and "),r("code",[e._v("options")]),e._v(":")]),e._v(" "),r("ul",[r("li",[r("code",[e._v("url")]),e._v(" is the registration path for the Service Worker;")]),e._v(" "),r("li",[r("code",[e._v("options")]),e._v(" are the registration options for the Service Worker, you can refer to the specific description in "),r("a",{attrs:{href:"https://developer.mozilla.org/en-US/docs/Web/API/ServiceWorkerContainer/register#options",target:"_blank",rel:"noopener noreferrer"}},[e._v("MDN"),r("OutboundLink")],1),e._v(".")])]),e._v(" "),r("div",{staticClass:"language-js extra-class"},[r("pre",{pre:!0,attrs:{class:"language-js"}},[r("code",[r("span",{pre:!0,attrs:{class:"token keyword"}},[e._v("const")]),e._v(" viewer "),r("span",{pre:!0,attrs:{class:"token operator"}},[e._v("=")]),e._v(" "),r("span",{pre:!0,attrs:{class:"token keyword"}},[e._v("new")]),e._v(" "),r("span",{pre:!0,attrs:{class:"token class-name"}},[e._v("PDFViewer")]),r("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v("(")]),r("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v("{")]),e._v("\n    "),r("span",{pre:!0,attrs:{class:"token literal-property property"}},[e._v("messageSyncServiceWorker")]),r("span",{pre:!0,attrs:{class:"token operator"}},[e._v(":")]),e._v(" "),r("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v("{")]),e._v("\n        "),r("span",{pre:!0,attrs:{class:"token literal-property property"}},[e._v("url")]),r("span",{pre:!0,attrs:{class:"token operator"}},[e._v(":")]),e._v(" "),r("span",{pre:!0,attrs:{class:"token string"}},[e._v("'/your-service-worker.js'")]),r("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v(",")]),e._v("\n        "),r("span",{pre:!0,attrs:{class:"token literal-property property"}},[e._v("options")]),r("span",{pre:!0,attrs:{class:"token operator"}},[e._v(":")]),e._v(" "),r("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v("{")]),e._v(" "),r("span",{pre:!0,attrs:{class:"token comment"}},[e._v("// Optional")]),e._v("\n            "),r("span",{pre:!0,attrs:{class:"token literal-property property"}},[e._v("scope")]),r("span",{pre:!0,attrs:{class:"token operator"}},[e._v(":")]),e._v(" "),r("span",{pre:!0,attrs:{class:"token string"}},[e._v("'/foxit-lib/'")]),e._v("\n        "),r("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v("}")]),e._v("\n    "),r("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v("}")]),e._v("\n    "),r("span",{pre:!0,attrs:{class:"token comment"}},[e._v("// ... Other parameters")]),e._v("\n"),r("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v("}")]),r("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v(")")]),e._v("\n")])])])]),e._v(" "),r("li",[r("p",[e._v("Method 2: Specify "),r("code",[e._v("registration")]),e._v(":")]),e._v(" "),r("ul",[r("li",[r("code",[e._v("registration")]),e._v(" is the "),r("code",[e._v("Promise<ServiceWorkerRegistration>")]),e._v(" object returned by the "),r("code",[e._v("navigator.serviceWorker.register()")]),e._v(" method.")])]),e._v(" "),r("div",{staticClass:"language-js extra-class"},[r("pre",{pre:!0,attrs:{class:"language-js"}},[r("code",[r("span",{pre:!0,attrs:{class:"token keyword"}},[e._v("const")]),e._v(" viewer "),r("span",{pre:!0,attrs:{class:"token operator"}},[e._v("=")]),e._v(" "),r("span",{pre:!0,attrs:{class:"token keyword"}},[e._v("new")]),e._v(" "),r("span",{pre:!0,attrs:{class:"token class-name"}},[e._v("PDFViewer")]),r("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v("(")]),r("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v("{")]),e._v("\n    "),r("span",{pre:!0,attrs:{class:"token literal-property property"}},[e._v("messageSyncServiceWorker")]),r("span",{pre:!0,attrs:{class:"token operator"}},[e._v(":")]),e._v(" "),r("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v("{")]),e._v("\n        "),r("span",{pre:!0,attrs:{class:"token literal-property property"}},[e._v("registration")]),r("span",{pre:!0,attrs:{class:"token operator"}},[e._v(":")]),e._v(" navigator"),r("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v(".")]),e._v("serviceWorker"),r("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v(".")]),r("span",{pre:!0,attrs:{class:"token function"}},[e._v("register")]),r("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v("(")]),r("span",{pre:!0,attrs:{class:"token string"}},[e._v("'/your-service-worker.js'")]),r("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v(",")]),e._v(" "),r("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v("{")]),e._v("\n            "),r("span",{pre:!0,attrs:{class:"token literal-property property"}},[e._v("scope")]),r("span",{pre:!0,attrs:{class:"token operator"}},[e._v(":")]),e._v(" "),r("span",{pre:!0,attrs:{class:"token string"}},[e._v("'/foxit-lib/'")]),e._v("\n        "),r("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v("}")]),r("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v(")")]),e._v("\n    "),r("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v("}")]),e._v("\n    "),r("span",{pre:!0,attrs:{class:"token comment"}},[e._v("// ... Other parameters")]),e._v("\n"),r("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v("}")]),r("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v(")")]),e._v("\n")])])])])]),e._v(" "),r("p",[e._v("Method 1 will be determined by the SDK internally as to when to register the ServiceWorker. If you need to manually control the registration of the ServiceWorker, you must use method 2.")]),e._v(" "),r("p",[e._v("In the SDK release package, we have provided a complete example ("),r("code",[e._v("/examples/PDFViewCtrl/integrate-service-worker")]),e._v("). You can directly refer to its implementation and run and view the effects according to the README.md document.")]),e._v(" "),r("h2",{attrs:{id:"service-worker-allowed-response-header"}},[r("a",{staticClass:"header-anchor",attrs:{href:"#service-worker-allowed-response-header"}},[e._v("#")]),e._v(" "),r("code",[e._v("Service-Worker-Allowed")]),e._v(" Response Header")]),e._v(" "),r("p",[e._v("By default, the max scope allowed by a Service Worker is determined by its script location. Specifically, the scope of the Service Worker can only cover the directory where its script is located and its subdirectories. For example, if the Service Worker script is located at "),r("code",[e._v("https://example.com/sub/worker.js")]),e._v(", it can only control resources under "),r("code",[e._v("https://example.com/sub/")]),e._v(" and its subpaths by default. If you forcibly specify the scope parameter to a larger scope, it will lead to the failure of the Service Worker registration, and the error message will be: "),r("code",[e._v("The path of the provided scope ('/') is not under the max scope allowed ('/sub/')")]),e._v(".")]),e._v(" "),r("p",[e._v("However, in some cases, you may want to expand the scope of the Service Worker so that it can control resources within a larger range. At this point, the "),r("code",[e._v("Service-Worker-Allowed")]),e._v(" response header becomes particularly important. By configuring this response header, you can specify a broader path, allowing the Service Worker to be effective within a larger scope.")]),e._v(" "),r("h3",{attrs:{id:"configuring-service-worker-allowed-response-header"}},[r("a",{staticClass:"header-anchor",attrs:{href:"#configuring-service-worker-allowed-response-header"}},[e._v("#")]),e._v(" Configuring "),r("code",[e._v("Service-Worker-Allowed")]),e._v(" Response Header")]),e._v(" "),r("p",[e._v("To use the "),r("code",[e._v("Service-Worker-Allowed")]),e._v(" response header, you need to include the following field in the HTTP response header of the Service Worker script. Its value is the max scope path allowed:")]),e._v(" "),r("div",{staticClass:"language-http extra-class"},[r("pre",{pre:!0,attrs:{class:"language-http"}},[r("code",[e._v("Service-Worker-Allowed /;\n")])])]),r("h4",{attrs:{id:"nginx-configuration-example"}},[r("a",{staticClass:"header-anchor",attrs:{href:"#nginx-configuration-example"}},[e._v("#")]),e._v(" Nginx Configuration Example")]),e._v(" "),r("p",[e._v("If you are using Nginx as your server, you can include the "),r("code",[e._v("Service-Worker-Allowed")]),e._v(" response header by modifying the Nginx configuration file. Below is a configuration example:")]),e._v(" "),r("div",{staticClass:"language-nginx extra-class"},[r("pre",{pre:!0,attrs:{class:"language-nginx"}},[r("code",[r("span",{pre:!0,attrs:{class:"token directive"}},[r("span",{pre:!0,attrs:{class:"token keyword"}},[e._v("server")])]),e._v(" "),r("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v("{")]),e._v("\n    "),r("span",{pre:!0,attrs:{class:"token directive"}},[r("span",{pre:!0,attrs:{class:"token keyword"}},[e._v("location")]),e._v(" /sw.js")]),e._v(" "),r("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v("{")]),e._v("\n        "),r("span",{pre:!0,attrs:{class:"token directive"}},[r("span",{pre:!0,attrs:{class:"token keyword"}},[e._v("add_header")]),e._v(" Service-Worker-Allowed /")]),r("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v(";")]),e._v("\n    "),r("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v("}")]),e._v("\n"),r("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v("}")]),e._v("\n")])])]),r("h4",{attrs:{id:"webpack-dev-server-configuration-example"}},[r("a",{staticClass:"header-anchor",attrs:{href:"#webpack-dev-server-configuration-example"}},[e._v("#")]),e._v(" Webpack Dev Server Configuration Example")]),e._v(" "),r("p",[e._v("If you are using Webpack Dev Server for local development, you can include the "),r("code",[e._v("Service-Worker-Allowed")]),e._v(" response header by configuring devServer. Below is a configuration example:")]),e._v(" "),r("div",{staticClass:"language-js extra-class"},[r("pre",{pre:!0,attrs:{class:"language-js"}},[r("code",[r("span",{pre:!0,attrs:{class:"token comment"}},[e._v("// webpack.config.js")]),e._v("\nmodule"),r("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v(".")]),e._v("exports "),r("span",{pre:!0,attrs:{class:"token operator"}},[e._v("=")]),e._v(" "),r("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v("{")]),e._v("\n    "),r("span",{pre:!0,attrs:{class:"token comment"}},[e._v("//  Other configurations")]),e._v("\n    "),r("span",{pre:!0,attrs:{class:"token literal-property property"}},[e._v("devServer")]),r("span",{pre:!0,attrs:{class:"token operator"}},[e._v(":")]),e._v(" "),r("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v("{")]),e._v("\n        "),r("span",{pre:!0,attrs:{class:"token literal-property property"}},[e._v("headers")]),r("span",{pre:!0,attrs:{class:"token operator"}},[e._v(":")]),e._v(" "),r("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v("{")]),e._v("\n            "),r("span",{pre:!0,attrs:{class:"token string-property property"}},[e._v("'Service-Worker-Allowed'")]),r("span",{pre:!0,attrs:{class:"token operator"}},[e._v(":")]),e._v(" "),r("span",{pre:!0,attrs:{class:"token string"}},[e._v("'/'")]),e._v("\n        "),r("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v("}")]),e._v("\n    "),r("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v("}")]),e._v("\n"),r("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v("}")]),r("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v(";")]),e._v("\n")])])]),r("h4",{attrs:{id:"vue-config-js-configuration-example"}},[r("a",{staticClass:"header-anchor",attrs:{href:"#vue-config-js-configuration-example"}},[e._v("#")]),e._v(" vue.config.js Configuration Example")]),e._v(" "),r("p",[e._v("If you are using Vue CLI, you can adjust the Webpack Dev Server by modifying "),r("code",[e._v("vue.config.js")]),e._v(". Below is a configuration example:")]),e._v(" "),r("div",{staticClass:"language-js extra-class"},[r("pre",{pre:!0,attrs:{class:"language-js"}},[r("code",[r("span",{pre:!0,attrs:{class:"token comment"}},[e._v("// vue.config.js")]),e._v("\nmodule"),r("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v(".")]),e._v("exports "),r("span",{pre:!0,attrs:{class:"token operator"}},[e._v("=")]),e._v(" "),r("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v("{")]),e._v("\n    "),r("span",{pre:!0,attrs:{class:"token literal-property property"}},[e._v("devServer")]),r("span",{pre:!0,attrs:{class:"token operator"}},[e._v(":")]),e._v(" "),r("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v("{")]),e._v("\n        "),r("span",{pre:!0,attrs:{class:"token literal-property property"}},[e._v("headers")]),r("span",{pre:!0,attrs:{class:"token operator"}},[e._v(":")]),e._v(" "),r("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v("{")]),e._v("\n            "),r("span",{pre:!0,attrs:{class:"token string-property property"}},[e._v("'Service-Worker-Allowed'")]),r("span",{pre:!0,attrs:{class:"token operator"}},[e._v(":")]),e._v(" "),r("span",{pre:!0,attrs:{class:"token string"}},[e._v("'/'")]),e._v("\n        "),r("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v("}")]),e._v("\n    "),r("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v("}")]),e._v("\n"),r("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v("}")]),r("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v(";")]),e._v("\n")])])]),r("h2",{attrs:{id:"special-request-address"}},[r("a",{staticClass:"header-anchor",attrs:{href:"#special-request-address"}},[e._v("#")]),e._v(" Special Request Address")]),e._v(" "),r("p",[e._v("In the "),r("code",[e._v("fetch")]),e._v(" event listened by the Service Worker in the application layer, if the request address matches "),r("code",[e._v("__foxitwebsdk-syncmsg__")]),e._v(", please ignore this request directly. This is also mentioned in our example code ("),r("code",[e._v("examples/PDFViewCtrl/integrate-service-worker/src/service-worker.js")]),e._v(").")]),e._v(" "),r("h2",{attrs:{id:"common-questions-and-troubleshooting"}},[r("a",{staticClass:"header-anchor",attrs:{href:"#common-questions-and-troubleshooting"}},[e._v("#")]),e._v(" Common Questions and Troubleshooting")]),e._v(" "),r("ol",[r("li",[r("p",[e._v("ServiceWorker Not Registered")]),e._v(" "),r("ul",[r("li",[r("p",[e._v("Issue description: Unable to find the ServiceWorker registration results in the developer tools.")])]),e._v(" "),r("li",[r("p",[e._v("Possible reasons:")]),e._v(" "),r("ol",[r("li",[e._v("The path is set incorrectly, and the Service Worker js request returns 404 or other errors;")]),e._v(" "),r("li",[e._v("The browser does not support ServiceWorker;")]),e._v(" "),r("li",[e._v("The HTTPS protocol is not enabled. For security reasons, ServiceWorker can only be used under the HTTPS protocol. An exception to this is localhost and 127.0.0.1, which do not require HTTPS.")])])]),e._v(" "),r("li",[r("p",[e._v("Solutions:")]),e._v(" "),r("ol",[r("li",[e._v("Check the Service Worker's registration code and path configurations.")]),e._v(" "),r("li",[e._v("Check browser compatibility. For Service Worker compatibility, please refer to "),r("a",{attrs:{href:"https://caniuse.com/serviceworkers",target:"_blank",rel:"noopener noreferrer"}},[e._v("Can I use"),r("OutboundLink")],1),e._v(".")]),e._v(" "),r("li",[e._v("Enable HTTPS protocol.")])])])])]),e._v(" "),r("li",[r("p",[e._v("ServiceWorker Registration Failed")]),e._v(" "),r("ul",[r("li",[e._v("Issue description：A prompt during registration indicates that the scope exceeds the max scope allowed.\nExample of error message:")])]),e._v(" "),r("div",{staticClass:"language-log extra-class"},[r("pre",{pre:!0,attrs:{class:"language-log"}},[r("code",[e._v("    register a ServiceWorker for scope "),r("span",{pre:!0,attrs:{class:"token operator"}},[e._v("(")]),r("span",{pre:!0,attrs:{class:"token string"}},[e._v("'http://localhost:9899/'")]),r("span",{pre:!0,attrs:{class:"token operator"}},[e._v(")")]),e._v(" with script "),r("span",{pre:!0,attrs:{class:"token operator"}},[e._v("(")]),r("span",{pre:!0,attrs:{class:"token string"}},[e._v("'http://localhost:9899/lib/MessageWorker.js?b=http://localhost:9899/__foxitwebsdk-syncmsg__'")]),r("span",{pre:!0,attrs:{class:"token operator"}},[e._v(")")]),r("span",{pre:!0,attrs:{class:"token operator"}},[e._v(":")]),e._v(" The path of the provided scope "),r("span",{pre:!0,attrs:{class:"token operator"}},[e._v("(")]),r("span",{pre:!0,attrs:{class:"token string"}},[e._v("'/'")]),r("span",{pre:!0,attrs:{class:"token operator"}},[e._v(")")]),e._v(" is not under the max scope allowed "),r("span",{pre:!0,attrs:{class:"token operator"}},[e._v("(")]),r("span",{pre:!0,attrs:{class:"token string"}},[e._v("'/lib/'")]),r("span",{pre:!0,attrs:{class:"token operator"}},[e._v(")")]),r("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v(".")]),e._v(" Adjust the scope"),r("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v(",")]),e._v(" move the Service Worker script"),r("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v(",")]),e._v(" or use the Service"),r("span",{pre:!0,attrs:{class:"token operator"}},[e._v("-")]),e._v("Worker"),r("span",{pre:!0,attrs:{class:"token operator"}},[e._v("-")]),e._v("Allowed HTTP header to allow the scope"),r("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v(".")]),e._v("\n")])])]),r("ul",[r("li",[r("p",[e._v("Possible reasons: The registration path or scope of the Service Worker is not set correctly. It should be noted that the max scope allowed by the Service Worker depends on the location of the Service Worker script itself (refer to: "),r("a",{attrs:{href:"https://developer.mozilla.org/en-US/docs/Web/API/Service_Worker_API/Using_Service_Workers#why_is_my_service_worker_failing_to_register",target:"_blank",rel:"noopener noreferrer"}},[e._v("MDN"),r("OutboundLink")],1),e._v(").")])]),e._v(" "),r("li",[r("p",[e._v("Solutions:")]),e._v(" "),r("ol",[r("li",[e._v("Understand the scope rules of Service Worker;")]),e._v(" "),r("li",[e._v("Check the registration code and scope settings of Service Worker;")]),e._v(" "),r("li",[e._v("Adjust the scope of Service Worker, that is, modify the "),r("a",{attrs:{href:"https://developer.mozilla.org/en-US/docs/Web/API/ServiceWorkerContainer/register#scope",target:"_blank",rel:"noopener noreferrer"}},[e._v("scope"),r("OutboundLink")],1),e._v(" parameter;")]),e._v(" "),r("li",[e._v("Adjust the "),r("code",[e._v("Service-Worker-Allowed")]),e._v(" HTTP response header to allow a larger scope;")]),e._v(" "),r("li",[e._v("Check the path of Service Worker script and server configuration.")])])])])]),e._v(" "),r("li",[r("p",[e._v("ServiceWorker Registration Indicates Unsupported MIME Type")]),e._v(" "),r("ul",[r("li",[e._v("Issue description: A prompt during registration indicates an unsupported MIME type ('***/***').\nExample of error message:")])]),e._v(" "),r("div",{staticClass:"language-log extra-class"},[r("pre",{pre:!0,attrs:{class:"language-log"}},[r("code",[e._v("Failed to register a ServiceWorker for scope "),r("span",{pre:!0,attrs:{class:"token operator"}},[e._v("(")]),r("span",{pre:!0,attrs:{class:"token string"}},[e._v("'http://localhost:5173/assets/'")]),r("span",{pre:!0,attrs:{class:"token operator"}},[e._v(")")]),e._v(" with script "),r("span",{pre:!0,attrs:{class:"token operator"}},[e._v("(")]),r("span",{pre:!0,attrs:{class:"token string"}},[e._v("'http://localhost:5173/assets/service-worker.js'")]),r("span",{pre:!0,attrs:{class:"token operator"}},[e._v(")")]),r("span",{pre:!0,attrs:{class:"token operator"}},[e._v(":")]),e._v(" The script has an unsupported MIME type "),r("span",{pre:!0,attrs:{class:"token operator"}},[e._v("(")]),r("span",{pre:!0,attrs:{class:"token string"}},[e._v("'text/html'")]),r("span",{pre:!0,attrs:{class:"token operator"}},[e._v(")")]),r("span",{pre:!0,attrs:{class:"token punctuation"}},[e._v(".")]),e._v("\n")])])]),r("ul",[r("li",[e._v("Possible reasons: The registration path of the ServiceWorker is incorrect or the target file does not exist.")]),e._v(" "),r("li",[e._v("Solutions:\n"),r("ol",[r("li",[e._v("Check the registration path of the ServiceWorker;")]),e._v(" "),r("li",[e._v("Check if the target file exists;")]),e._v(" "),r("li",[e._v("Check the server configuration.")])])])])])])])}),[],!1,null,null,null);r.default=a.exports}}]);